#!/bin/sh
#####################################################
# gdiprltiny.sh
#
# This was hoped to be the sample back end tinydns
# reload shell script. But it never came to pass.
#
# The author of GnuDIP does not use tinydns, and
# this script was to come from another contributor.
#
# See COPYING for licensing information.
#
# Written by:
#
#   Creighton MacDonnell
#   http://macdonnell.ca/
#
#####################################################

# point at your tinydns source file
file=/usr/local/tinydns/etc/sourcefile

# place necessary records at the front
cat <<EOF > $file
whatever
would
go
here
EOF

# scan the database and append the source records
/usr/local/gnudip/sbin/gdiptinydns.pl -a $file

# reload the tinydns server
/usr/local/tinydns/sbin/reloadutility

